{"openapi":"3.1.0","info":{"title":"ATS Endpoints","version":"1.0.0"},"paths":{"/ats/application-sources":{"get":{"operationId":"retrieve-a-list-of-ats-application-sources","summary":"Retrieve a list of ATS application sources","description":"Returns the available application sources in the Applicant Tracking System.\n **Token scopes**: `ats:read`","tags":["subpackage_atsApplicationSources"],"parameters":[{"name":"cursor","in":"query","description":"The cursor for pagination","required":false,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"Maximum number of records returned in one response","required":false,"schema":{"type":"integer","default":20}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successfully retrieved application sources","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ats-application-sources_retrieveAListOfAtsApplicationSources_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}}}},"/ats/applications/{application_id}/notes":{"post":{"operationId":"add-note-to-an-application-v-2026-01-01","summary":"Add note to an application","description":"Adds a note to a specific application. The `author_id` must correspond to a valid HRIS user.\n **Token scopes**: `ats:write`","tags":["subpackage_atsApplications"],"parameters":[{"name":"application_id","in":"path","description":"Id of the application which the note will be added","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"Application note created successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ats-applications_addNoteToAnApplication-v2026-01-01_Response_201"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddNoteToAnApplication-v2026-01-01RequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddNoteToAnApplication-v2026-01-01RequestInternalServerError"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/AtsApplicationsApplicationIdNotesPostRequestBodyContentApplicationJsonSchemaData"}},"required":["data"]}}}}}},"/ats/applications/{application_id}/interview-plan-stages":{"post":{"operationId":"associate-application-with-an-interview-plan-stage-v-2026-01-01","summary":"Associate application with an interview plan stage","description":"Associates an application with a specific interview plan stage. Set `is_current_stage` to `true` to advance the application's active stage, or `false` to record a historical stage entry without changing the current stage. Pass `applicable_job_activities` to selectively trigger activities, omit it to trigger all, or pass an empty array to trigger none; if archiving the candidate, include `candidate_archivation_reason_id` and optionally `candidate_archivation_email_template_id` to send a rejection email.\n **Token scopes**: `ats:write`","tags":["subpackage_atsApplications"],"parameters":[{"name":"application_id","in":"path","description":"ID of the application to be associated with the interview plan stage","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"Application interview plan stage successfully created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ats-applications_associateApplicationWithAnInterviewPlanStage-v2026-01-01_Response_201"}}}},"400":{"description":"Email body contains placeholders that can't be resolved","content":{"application/json":{"schema":{"description":"Any type"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/AtsApplicationsApplicationIdInterviewPlanStagesPostRequestBodyContentApplicationJsonSchemaData"}},"required":["data"]}}}}}},"/ats/applications":{"post":{"operationId":"create-ats-application-v-2026-01-01","summary":"Create ATS Application","description":"Creates a new ATS application linking an existing candidate to an existing job. Both the candidate and job must exist prior to this call; the returned id can be used for subsequent operations such as adding notes or associating interview stages.\n **Token scopes**: `ats:write`","tags":["subpackage_atsApplications"],"parameters":[{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"Successful response with application data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ats-applications_createAtsApplication-v2026-01-01_Response_201"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateAtsApplication-v2026-01-01RequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateAtsApplication-v2026-01-01RequestInternalServerError"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/AtsApplicationsPostRequestBodyContentApplicationJsonSchemaData"}},"required":["data"]}}}}},"get":{"operationId":"retrieve-a-list-of-ats-applications-v-2026-01-01","summary":"Retrieve a list of ATS applications","description":"Returns a cursor-paginated list of candidate applications across all open positions for the organization, with filtering by job, interview plan stage, candidate tags, source, stage type, and last-updated timestamp.\n **Token scopes**: `ats:read`","tags":["subpackage_atsApplications"],"parameters":[{"name":"cursor","in":"query","description":"Cursor for pagination. Use the nextCursor value from the previous response to get the next page of results.","required":false,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"Maximum number of applications to return per page","required":false,"schema":{"type":"integer","default":20}},{"name":"search_text","in":"query","description":"Search text to filter applications by candidate name or email","required":false,"schema":{"type":"string"}},{"name":"job_id","in":"query","description":"Filter applications by specific job ID","required":false,"schema":{"type":"string","format":"uuid"}},{"name":"interview_plan_stage_ids","in":"query","description":"Filter applications by specific interview plan stage IDs","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid"}}},{"name":"candidate_tag_ids","in":"query","description":"Filter applications by candidate tag IDs","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid"}}},{"name":"source_slugs","in":"query","description":"Filter applications by source slugs","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"job_criterias_matchings","in":"query","description":"Filter applications by job criteria matching state. Each object specifies a job criteria ID and whether the candidate matches it.","required":false,"schema":{"type":"array","items":{"$ref":"#/components/schemas/AtsApplicationsGetParametersJobCriteriasMatchingsSchemaItems"}}},{"name":"current_stage_category_type_slugs","in":"query","description":"Filter applications by current stage category type slugs","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"current_stage_default_type_slugs","in":"query","description":"Filter applications by current stage default type slugs. Use 'others' for custom stages.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"updated_after","in":"query","description":"Filter applications updated after this timestamp (ISO 8601 format)","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"sort_by","in":"query","description":"Field to sort applications by","required":false,"schema":{"$ref":"#/components/schemas/AtsApplicationsGetParametersSortBy"}},{"name":"sort_order","in":"query","description":"Sort order for applications","required":false,"schema":{"$ref":"#/components/schemas/AtsApplicationsGetParametersSortOrder"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successfully retrieved applications","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ats-applications_retrieveAListOfAtsApplications-v2026-01-01_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveAListOfAtsApplications-v2026-01-01RequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveAListOfAtsApplications-v2026-01-01RequestInternalServerError"}}}}}}},"/ats/applications/{application_id}":{"get":{"operationId":"retrieve-ats-application-v-2026-01-01","summary":"Retrieve ATS application","description":"Retrieves a single application by its application_id, including associated job details, job posting details, and related metadata.\n **Token scopes**: `ats:read`","tags":["subpackage_atsApplications"],"parameters":[{"name":"application_id","in":"path","description":"Unique identifier of the application to retrieve","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response with application data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ats-applications_retrieveAtsApplication-v2026-01-01_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveAtsApplication-v2026-01-01RequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveAtsApplication-v2026-01-01RequestInternalServerError"}}}}}}},"/ats/attachments/{attachable_type_slug}/{attachable_id}/{attachment_type_slug}":{"get":{"operationId":"retrieve-paginated-list-of-ats-attachment-files-v-2026-01-01","summary":"Retrieve paginated list of ATS attachment files","description":"Lists attachment files for a specific ATS entity, scoped by `attachable_type_slug`, `attachable_id`, and `attachment_type_slug`.\n **Token scopes**: `ats:read`","tags":["subpackage_atsAttachments"],"parameters":[{"name":"attachable_id","in":"path","description":"Unique identifier for the attachable entity","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"attachment_type_slug","in":"path","description":"Type of the attachment","required":true,"schema":{"$ref":"#/components/schemas/AtsAttachmentsAttachableTypeSlugAttachableIdAttachmentTypeSlugGetParametersAttachmentTypeSlug"}},{"name":"attachable_type_slug","in":"path","description":"Type of the attachable entity","required":true,"schema":{"$ref":"#/components/schemas/AtsAttachmentsAttachableTypeSlugAttachableIdAttachmentTypeSlugGetParametersAttachableTypeSlug"}},{"name":"cursor","in":"query","description":"The cursor for pagination","required":false,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"Maximum number of records returned in one response","required":false,"schema":{"type":"integer","default":20}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ats-attachments_retrievePaginatedListOfAtsAttachmentFiles-v2026-01-01_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrievePaginatedListOfAtsAttachmentFiles-v2026-01-01RequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrievePaginatedListOfAtsAttachmentFiles-v2026-01-01RequestInternalServerError"}}}}}}},"/ats/candidates":{"post":{"operationId":"create-ats-candidate-v-2026-01-01","summary":"Create ATS Candidate","description":"Creates a new candidate record in the ATS and returns the candidate with their unique identifier, which can then be used to link the candidate to job applications.\n **Token scopes**: `ats:write`","tags":["subpackage_atsCandidates"],"parameters":[{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"Successful response with candidate data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ats-candidates_createAtsCandidate-v2026-01-01_Response_201"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateAtsCandidate-v2026-01-01RequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateAtsCandidate-v2026-01-01RequestInternalServerError"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/AtsCandidatesPostRequestBodyContentApplicationJsonSchemaData"}},"required":["data"]}}}}},"get":{"operationId":"retrieve-paginated-list-of-ats-candidates-v-2026-01-01","summary":"Retrieve paginated list of ATS Candidates","description":"Returns a paginated list of candidates, optionally filtered by job IDs, department IDs, tag IDs, current stage category or default type slugs, or a timestamp to return only records updated after a given point.\n **Token scopes**: `ats:read`","tags":["subpackage_atsCandidates"],"parameters":[{"name":"cursor","in":"query","description":"The cursor for pagination","required":false,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"Maximum number of records returned in one response","required":false,"schema":{"type":"integer","default":20}},{"name":"search","in":"query","description":"Search text for filtering candidates","required":false,"schema":{"type":"string"}},{"name":"job_ids","in":"query","description":"Filter candidates by job IDs","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid"}}},{"name":"department_ids","in":"query","description":"Filter candidates by department IDs","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid"}}},{"name":"tag_ids","in":"query","description":"Filter candidates by tag IDs","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid"}}},{"name":"current_stage_category_type_slugs","in":"query","description":"Filter candidates by current stage category type slugs","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"current_stage_default_type_slugs","in":"query","description":"Filter candidates by current stage default type slugs","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"updated_after","in":"query","description":"Filter applications updated after this timestamp (ISO 8601 format)","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ats-candidates_retrievePaginatedListOfAtsCandidates-v2026-01-01_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrievePaginatedListOfAtsCandidates-v2026-01-01RequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrievePaginatedListOfAtsCandidates-v2026-01-01RequestInternalServerError"}}}}}}},"/ats/candidates/{candidate_id}/tags":{"post":{"operationId":"create-candidate-tags-v-2026-02-27","summary":"Create candidate tags","description":"Replaces all existing tags on a candidate with the provided set of `tag_ids`. This is a full replacement — any tags not included in the request body will be removed.\n **Token scopes**: `ats:write`","tags":["subpackage_atsCandidates"],"parameters":[{"name":"candidate_id","in":"path","description":"The unique identifier of the candidate.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"Successfully created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ats-candidates_createCandidateTags-v2026-02-27_Response_201"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateCandidateTags-v2026-02-27RequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateCandidateTags-v2026-02-27RequestInternalServerError"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"tag_ids":{"type":"array","items":{"type":"string","format":"uuid"},"description":"List of tag IDs to associate with the candidate"}},"required":["tag_ids"]}}}}}},"/ats/departments":{"get":{"operationId":"retrieve-a-list-of-ats-departments","summary":"Retrieve a list of ATS departments","description":"Returns a paginated list of all departments configured in the ATS.\n **Token scopes**: `ats:read`","tags":["subpackage_atsDepartments"],"parameters":[{"name":"cursor","in":"query","description":"The cursor for pagination","required":false,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"Maximum number of records returned in one response","required":false,"schema":{"type":"integer","default":20}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response with departments data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ats-departments_retrieveAListOfAtsDepartments_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveAListOfAtsDepartmentsRequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}}}},"/ats/email-templates":{"get":{"operationId":"retrieve-a-list-of-published-ats-email-templates-v-2026-02-11","summary":"Retrieve a list of published ATS email templates","description":"Returns a paginated list of published email templates for the organization, supporting cursor-based pagination and filtering by `updated_after` timestamp.\n **Token scopes**: `ats:read`","tags":["subpackage_atsEmailTemplates"],"parameters":[{"name":"cursor","in":"query","description":"Cursor for pagination. Use the nextCursor value from the previous response to get the next page of results.","required":false,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"Maximum number of email templates to return per page","required":false,"schema":{"type":"integer","default":20}},{"name":"updated_after","in":"query","description":"Return only email templates that were updated after this timestamp (ISO 8601 format)","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successfully retrieved email templates","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ats-email-templates_retrieveAListOfPublishedAtsEmailTemplates-v2026-02-11_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveAListOfPublishedAtsEmailTemplates-v2026-02-11RequestInternalServerError"}}}}}}},"/ats/employment-types":{"get":{"operationId":"retrieve-a-list-of-ats-employment-types","summary":"Retrieve a list of ATS employment types","description":"Returns a paginated list of employment types available in the ATS.\n **Token scopes**: `ats:read`","tags":["subpackage_atsEmploymentTypes"],"parameters":[{"name":"cursor","in":"query","description":"The cursor for pagination","required":false,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"Maximum number of records returned in one response","required":false,"schema":{"type":"integer","default":20}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response with employment types data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ats-employment-types_retrieveAListOfAtsEmploymentTypes_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveAListOfAtsEmploymentTypesRequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}}}},"/ats/hiring-members":{"get":{"operationId":"retrieve-ats-hiring-members","summary":"Retrieve ATS hiring members","description":"Returns a paginated list of hiring members configured in the ATS.\n **Token scopes**: `ats:read`","tags":["subpackage_atsHiringMembers"],"parameters":[{"name":"cursor","in":"query","description":"The cursor for pagination","required":false,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"Maximum number of records returned in one response","required":false,"schema":{"type":"integer","default":20}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ats-hiring-members_retrieveAtsHiringMembers_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveAtsHiringMembersRequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveAtsHiringMembersRequestInternalServerError"}}}}}}},"/ats/job-boards/{job_board_id}/job-postings":{"get":{"operationId":"retrieve-a-list-of-ats-job-postings","summary":"Retrieve a list of ATS job postings","description":"Returns a paginated list of job postings belonging to the specified job board. Results can be filtered using available query parameters.\n **Token scopes**: `ats:read`","tags":["subpackage_atsJobPostings"],"parameters":[{"name":"job_board_id","in":"path","description":"Job Board ID must be a valid UUID","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"cursor","in":"query","description":"The cursor for pagination (optional)","required":false,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"Maximum number of records returned in one response (optional)","required":false,"schema":{"type":"integer","default":20}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ats-job-postings_retrieveAListOfAtsJobPostings_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AtsJobBoardsJobBoardIdJobPostingsGetResponsesContentApplicationJsonSchemaItems"}}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}}}},"/ats/job-postings/{job_posting_id}":{"get":{"operationId":"retrieve-ats-job-posting","summary":"Retrieve ATS job posting","description":"Returns a single job posting by `job_posting_id`, including its associated job object, publication status, application form configuration, compensation visibility flag, and rich-text description.\n **Token scopes**: `ats:read`","tags":["subpackage_atsJobPostings"],"parameters":[{"name":"job_posting_id","in":"path","description":"Unique identifier of the job posting to retrieve","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ats-job-postings_retrieveAtsJobPosting_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AtsJobPostingsJobPostingIdGetResponsesContentApplicationJsonSchemaItems"}}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}}}},"/ats/job-postings":{"get":{"operationId":"retrieve-ats-job-postings-v-2026-04-10","summary":"Retrieve ATS job postings","description":"Use this endpoint to retrieve job postings by specifying the job board ID or job ID. It provides detailed postings with job details, publication status, and relevant metadata.\n **Token scopes**: `ats:read`","tags":["subpackage_atsJobPostings"],"parameters":[{"name":"job_board_id","in":"query","description":"Job board to list postings from (UUID).","required":false,"schema":{"type":"string","format":"uuid"}},{"name":"job_id","in":"query","description":"When set, only postings for this job are returned (UUID).","required":false,"schema":{"type":"string","format":"uuid"}},{"name":"cursor","in":"query","description":"Opaque cursor for pagination. Use the value from next_cursor of the previous response to fetch the next page.","required":false,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"Maximum number of job postings to return per page (min: 1, max: 100).","required":false,"schema":{"type":"integer"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation. Returns job postings for the requested job board (and optional job filter), with nested job details and publication state per board.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ats-job-postings_retrieveAtsJobPostings-v2026-04-10_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveAtsJobPostings-v2026-04-10RequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveAtsJobPostings-v2026-04-10RequestInternalServerError"}}}}}}},"/ats/jobs":{"post":{"operationId":"create-ats-job","summary":"Create ATS Job","description":"Creates a new job in the ATS and returns the resulting job record, including its assigned `id`, initial status, and associated approval rule and request identifiers.\n **Token scopes**: `ats:write`","tags":["subpackage_atsJobs"],"parameters":[{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"Job successfully created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ats-jobs_createAtsJob_Response_201"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateAtsJobRequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/AtsJobsPostRequestBodyContentApplicationJsonSchemaData"}}}}}}},"get":{"operationId":"retrieve-a-list-of-ats-jobs","summary":"Retrieve a list of ATS jobs","description":"Returns a paginated list of jobs in the ATS, filterable by text search, interview plan, locations, teams, employment types, departments, status values, and an ISO 8601 `updated_after` timestamp.\n **Token scopes**: `ats:read`","tags":["subpackage_atsJobs"],"parameters":[{"name":"cursor","in":"query","description":"The cursor for pagination","required":false,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"Maximum number of records returned in one response","required":false,"schema":{"type":"integer","default":20}},{"name":"search","in":"query","description":"Text to search for in job records (optional)","required":false,"schema":{"type":"string"}},{"name":"interview_plan_id","in":"query","description":"Interview plan UUID (optional)","required":false,"schema":{"type":"string","format":"uuid"}},{"name":"location_ids","in":"query","description":"Array of location UUIDs (optional)","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid"}}},{"name":"team_ids","in":"query","description":"Array of team UUIDs (optional)","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid"}}},{"name":"employment_type_ids","in":"query","description":"Array of employment type UUIDs (optional)","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid"}}},{"name":"department_ids","in":"query","description":"Array of department UUIDs (optional)","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid"}}},{"name":"updated_after","in":"query","description":"Filter jobs updated after this timestamp (ISO 8601 format)","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"status","in":"query","description":"Array of job status values (optional)","required":false,"schema":{"type":"array","items":{"$ref":"#/components/schemas/AtsJobsGetParametersStatusSchemaItems"}}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ats-jobs_retrieveAListOfAtsJobs_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AtsJobsGetResponsesContentApplicationJsonSchemaItems"}}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}}}},"/ats/locations":{"get":{"operationId":"retrieve-a-list-of-ats-locations-v-2026-01-01","summary":"Retrieve a list of ATS locations","description":"Returns a paginated list of all work locations associated with the organization, suitable for use when constructing job postings or filtering by location.\n **Token scopes**: `ats:read`","tags":["subpackage_atsLocations"],"parameters":[{"name":"cursor","in":"query","description":"The cursor for pagination","required":false,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"Maximum number of records returned in one response","required":false,"schema":{"type":"integer","default":20}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response with locations data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ats-locations_retrieveAListOfAtsLocations-v2026-01-01_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveAListOfAtsLocations-v2026-01-01RequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}}}},"/ats/offers":{"get":{"operationId":"retrieve-a-list-of-ats-offers-v-2026-01-01","summary":"Retrieve a list of ATS offers","description":"Returns all offers associated with the organization, including worker type and offer status, to support pre-onboarding and contract creation workflows.\n **Token scopes**: `ats:read`","tags":["subpackage_atsOffers"],"parameters":[{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ats-offers_retrieveAListOfAtsOffers-v2026-01-01_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveAListOfAtsOffers-v2026-01-01RequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}}}}},"/ats/reasons":{"get":{"operationId":"retrieve-paginated-list-of-ats-rejection-archivation-reasons-v-2026-01-01","summary":"Retrieve paginated list of ATS Rejection/Archivation reasons","description":"Returns a paginated list of rejection and archivation reasons, filterable by `reason_group_slug` and `subgroup_slug`; when `include_counts` is true, each reason includes a usage count.\n **Token scopes**: `ats:read`","tags":["subpackage_atsReasons"],"parameters":[{"name":"cursor","in":"query","description":"The cursor for pagination","required":false,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"Maximum number of records returned in one response","required":false,"schema":{"type":"integer","default":20}},{"name":"search","in":"query","description":"Search text for filtering candidates","required":false,"schema":{"type":"string"}},{"name":"reason_group_slug","in":"query","description":"Reason group enum","required":false,"schema":{"$ref":"#/components/schemas/AtsReasonsGetParametersReasonGroupSlug"}},{"name":"include_counts","in":"query","description":"If sent true, it will fetch result with counts","required":false,"schema":{"type":"string"}},{"name":"subgroup_slug","in":"query","description":"Reason subgroup enum","required":false,"schema":{"$ref":"#/components/schemas/AtsReasonsGetParametersSubgroupSlug"}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ats-reasons_retrievePaginatedListOfAtsRejectionArchivationReasons-v2026-01-01_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrievePaginatedListOfAtsRejectionArchivationReasons-v2026-01-01RequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrievePaginatedListOfAtsRejectionArchivationReasons-v2026-01-01RequestInternalServerError"}}}}}}},"/ats/tags":{"get":{"operationId":"list-tags-v-2026-02-27","summary":"List tags","description":"Returns a paginated list of tags associated with the organization, filterable by label and `tag_group_slug`; when `include_counts` is true, each tag includes a count of associated candidates.\n **Token scopes**: `ats:read`","tags":["subpackage_atsTags"],"parameters":[{"name":"search_text","in":"query","description":"Filter tags by label (case-insensitive partial match)","required":false,"schema":{"type":"string"}},{"name":"tag_group_slug","in":"query","description":"Filter by tag group. Use CANDIDATE for candidate tags.","required":false,"schema":{"$ref":"#/components/schemas/AtsTagsGetParametersTagGroupSlug"}},{"name":"include_counts","in":"query","description":"When true, each tag includes candidates_count (number of candidates with that tag)","required":false,"schema":{"$ref":"#/components/schemas/AtsTagsGetParametersIncludeCounts"}},{"name":"cursor","in":"query","description":"Opaque cursor for pagination. Use the value from next_cursor of the previous response to fetch the next page.","required":false,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"Maximum number of tags to return per page (default: 20, max: 100).","required":false,"schema":{"type":"integer","default":20}},{"name":"Authorization","in":"header","description":"## Authentication\nThe Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.\n\n```curl\ncurl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \\\n  -H 'Authorization: Bearer YOUR-TOKEN-HERE'\n```\n\n[Learn more about authentication](/api/authentication)\n","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation. Returns the list of tags for the organization.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ats-tags_listTags-v2026-02-27_Response_200"}}}},"400":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListTags-v2026-02-27RequestBadRequestError"}}}},"401":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"403":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"404":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorContainer"}}}},"500":{"description":"Operation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListTags-v2026-02-27RequestInternalServerError"}}}}}}}},"servers":[{"url":"https://api.letsdeel.com/rest/v2"},{"url":"https://api-staging.letsdeel.com/rest/v2"}],"components":{"schemas":{"AtsApplicationSourcesGetResponsesContentApplicationJsonSchemaDataItems":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"Application source unique identifier"},"slug":{"type":"string","description":"Application source slug"},"created_at":{"type":"string","format":"date-time","description":"Timestamp of when the application source was created"},"updated_at":{"type":"string","format":"date-time","description":"Timestamp of when the application source was last updated"}},"required":["id","slug","created_at","updated_at"],"title":"AtsApplicationSourcesGetResponsesContentApplicationJsonSchemaDataItems"},"ats-application-sources_retrieveAListOfAtsApplicationSources_Response_200":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/AtsApplicationSourcesGetResponsesContentApplicationJsonSchemaDataItems"}},"has_more":{"type":"boolean","description":"Indicates if there are more application sources to fetch"},"next_cursor":{"type":["string","null"],"description":"Cursor for the next page of results"},"total_count":{"type":"integer","description":"Total number of application sources available"}},"required":["data","has_more","next_cursor","total_count"],"title":"ats-application-sources_retrieveAListOfAtsApplicationSources_Response_200"},"ApiErrorRequest":{"type":"object","properties":{"method":{"type":"string","description":"The HTTP method of the failed request"},"url":{"type":"string","description":"The relative URL of the failed request"},"status":{"type":"number","format":"double","description":"The status code of the response"},"api_req_id":{"type":"string","description":"The request ID of the failed request"},"docs":{"type":"string","description":"A link to the official documentation for the requested endpoint resource"},"source":{"type":"string","description":"The source handler which produced the returned error"},"code":{"type":"number","format":"double","description":"The code of the source handler which produced the returned error"}},"title":"ApiErrorRequest"},"ApiError":{"type":"object","properties":{"message":{"type":"string","description":"A description of the returned error"},"path":{"type":"string","description":"The JSON path where input validation failed"}},"title":"ApiError"},"ApiErrorContainer":{"type":"object","properties":{"request":{"$ref":"#/components/schemas/ApiErrorRequest"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ApiError"}}},"title":"ApiErrorContainer"},"AtsApplicationsApplicationIdNotesPostRequestBodyContentApplicationJsonSchemaData":{"type":"object","properties":{"author_id":{"type":"string","format":"uuid","description":"The UUID of the HRIS organization user creating the note"},"richtext_content":{"type":"string","description":"The content of the note in rich text HTML format"}},"required":["author_id","richtext_content"],"title":"AtsApplicationsApplicationIdNotesPostRequestBodyContentApplicationJsonSchemaData"},"AtsApplicationsApplicationIdNotesPostResponsesContentApplicationJsonSchemaData":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"The unique identifier of the application note"},"created_at":{"type":"string","format":"date-time","description":"The timestamp when the application note was created"},"updated_at":{"type":"string","format":"date-time","description":"The timestamp when the application note was last updated"}},"required":["id","created_at","updated_at"],"title":"AtsApplicationsApplicationIdNotesPostResponsesContentApplicationJsonSchemaData"},"ats-applications_addNoteToAnApplication-v2026-01-01_Response_201":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/AtsApplicationsApplicationIdNotesPostResponsesContentApplicationJsonSchemaData"}},"required":["data"],"title":"ats-applications_addNoteToAnApplication-v2026-01-01_Response_201"},"AtsApplicationsApplicationIdNotesPostResponsesContentApplicationJsonSchemaErrorsItems":{"type":"object","properties":{"code":{"type":"string","description":"Machine-readable error code"},"message":{"type":"string","description":"Human-readable explanation of the error"}},"title":"AtsApplicationsApplicationIdNotesPostResponsesContentApplicationJsonSchemaErrorsItems"},"AddNoteToAnApplication-v2026-01-01RequestBadRequestError":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/AtsApplicationsApplicationIdNotesPostResponsesContentApplicationJsonSchemaErrorsItems"}}},"title":"AddNoteToAnApplication-v2026-01-01RequestBadRequestError"},"AddNoteToAnApplication-v2026-01-01RequestInternalServerError":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/AtsApplicationsApplicationIdNotesPostResponsesContentApplicationJsonSchemaErrorsItems"}}},"title":"AddNoteToAnApplication-v2026-01-01RequestInternalServerError"},"AtsApplicationsApplicationIdInterviewPlanStagesPostRequestBodyContentApplicationJsonSchemaDataDelayUnit":{"type":"string","enum":["hours","days","weeks"],"description":"The unit of time for the delay. Must be provided together with delay_amount. Cannot be used together with scheduled_send_at.","title":"AtsApplicationsApplicationIdInterviewPlanStagesPostRequestBodyContentApplicationJsonSchemaDataDelayUnit"},"AtsApplicationsApplicationIdInterviewPlanStagesPostRequestBodyContentApplicationJsonSchemaDataApplicableJobActivitiesItemsParticipantsItemsRoleSlug":{"type":"string","enum":["REVIEWER","INTERVIEWER"],"description":"The role of the participant in the activity","title":"AtsApplicationsApplicationIdInterviewPlanStagesPostRequestBodyContentApplicationJsonSchemaDataApplicableJobActivitiesItemsParticipantsItemsRoleSlug"},"AtsApplicationsApplicationIdInterviewPlanStagesPostRequestBodyContentApplicationJsonSchemaDataApplicableJobActivitiesItemsParticipantsItems":{"type":"object","properties":{"role_slug":{"$ref":"#/components/schemas/AtsApplicationsApplicationIdInterviewPlanStagesPostRequestBodyContentApplicationJsonSchemaDataApplicableJobActivitiesItemsParticipantsItemsRoleSlug","description":"The role of the participant in the activity"},"participant_hris_organization_user_id":{"type":"string","format":"uuid","description":"The HRIS organization user ID of the participant"}},"required":["role_slug","participant_hris_organization_user_id"],"title":"AtsApplicationsApplicationIdInterviewPlanStagesPostRequestBodyContentApplicationJsonSchemaDataApplicableJobActivitiesItemsParticipantsItems"},"AtsApplicationsApplicationIdInterviewPlanStagesPostRequestBodyContentApplicationJsonSchemaDataApplicableJobActivitiesItems":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"The ID of the job activity to trigger"},"participants":{"type":"array","items":{"$ref":"#/components/schemas/AtsApplicationsApplicationIdInterviewPlanStagesPostRequestBodyContentApplicationJsonSchemaDataApplicableJobActivitiesItemsParticipantsItems"},"description":"Optional array of custom participants for this activity. If not provided, the default participants from the job activity template will be used."},"candidate_self_scheduling_email_template_id":{"type":"string","format":"uuid","description":"Optional custom email template ID for candidate self-scheduling (only applicable for interview scheduling activities)"}},"required":["id"],"title":"AtsApplicationsApplicationIdInterviewPlanStagesPostRequestBodyContentApplicationJsonSchemaDataApplicableJobActivitiesItems"},"AtsApplicationsApplicationIdInterviewPlanStagesPostRequestBodyContentApplicationJsonSchemaData":{"type":"object","properties":{"creator_id":{"type":"string","format":"uuid","description":"HRIS Organization User ID of the user creating the resource"},"delay_unit":{"$ref":"#/components/schemas/AtsApplicationsApplicationIdInterviewPlanStagesPostRequestBodyContentApplicationJsonSchemaDataDelayUnit","description":"The unit of time for the delay. Must be provided together with delay_amount. Cannot be used together with scheduled_send_at."},"delay_amount":{"type":"integer","description":"The amount of time to delay the archivation email. Must be provided together with delay_unit. Cannot be used together with scheduled_send_at."},"is_current_stage":{"type":"boolean","description":"When true, sets this stage as the application's current stage in the hiring workflow. When false, creates a historical record without changing the application's current stage."},"scheduled_send_at":{"type":"string","format":"date-time","description":"The exact future datetime to send the archivation email. Cannot be used together with delay_amount/delay_unit."},"interview_plan_stage_id":{"type":"string","format":"uuid","description":"The ID of the interview plan stage to associate with the application"},"applicable_job_activities":{"type":"array","items":{"$ref":"#/components/schemas/AtsApplicationsApplicationIdInterviewPlanStagesPostRequestBodyContentApplicationJsonSchemaDataApplicableJobActivitiesItems"},"description":"Optional array of job activities to trigger when associating the application with this stage. If not provided, all activities will be triggered. If an empty array is provided, no activities will be triggered."},"candidate_archivation_reason_id":{"type":"string","format":"uuid","description":"Optional ID of the archivation reason if the candidate is being archived"},"candidate_archivation_email_template_id":{"type":"string","format":"uuid","description":"Optional ID of the rejection email template if the candidate is being archived"}},"required":["creator_id","is_current_stage","interview_plan_stage_id"],"title":"AtsApplicationsApplicationIdInterviewPlanStagesPostRequestBodyContentApplicationJsonSchemaData"},"AtsApplicationsApplicationIdInterviewPlanStagesPostResponsesContentApplicationJsonSchemaData":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"The unique identifier of the created application interview plan stage record"},"created_at":{"type":"string","format":"date-time","description":"The timestamp when the record was created"},"updated_at":{"type":"string","format":"date-time","description":"The timestamp when the record was last updated"}},"required":["id","created_at","updated_at"],"description":"The created application interview plan stage record","title":"AtsApplicationsApplicationIdInterviewPlanStagesPostResponsesContentApplicationJsonSchemaData"},"ats-applications_associateApplicationWithAnInterviewPlanStage-v2026-01-01_Response_201":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/AtsApplicationsApplicationIdInterviewPlanStagesPostResponsesContentApplicationJsonSchemaData","description":"The created application interview plan stage record"}},"required":["data"],"title":"ats-applications_associateApplicationWithAnInterviewPlanStage-v2026-01-01_Response_201"},"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataNotesItems":{"type":"object","properties":{"richtext_content":{"type":"string","description":"The richtext content of the note"}},"required":["richtext_content"],"title":"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataNotesItems"},"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItemsOneOf0Type":{"type":"string","enum":["FREETEXT"],"description":"The type of the question","title":"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItemsOneOf0Type"},"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems0":{"type":"object","properties":{"type":{"$ref":"#/components/schemas/AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItemsOneOf0Type","description":"The type of the question"},"answer":{"type":"string","description":"The answer text"},"question_id":{"type":"string","description":"The unique identifier of the question"}},"required":["type","answer","question_id"],"title":"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems0"},"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItemsOneOf1Type":{"type":"string","enum":["PARAGRAPH"],"description":"The type of the question","title":"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItemsOneOf1Type"},"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems1":{"type":"object","properties":{"type":{"$ref":"#/components/schemas/AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItemsOneOf1Type","description":"The type of the question"},"answer":{"type":"string","description":"The paragraph answer text"},"question_id":{"type":"string","description":"The unique identifier of the question"}},"required":["type","answer","question_id"],"title":"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems1"},"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItemsOneOf2Type":{"type":"string","enum":["SINGLESELECTION"],"description":"The type of the question","title":"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItemsOneOf2Type"},"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems2":{"type":"object","properties":{"type":{"$ref":"#/components/schemas/AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItemsOneOf2Type","description":"The type of the question"},"question_id":{"type":"string","description":"The unique identifier of the question"},"selected_option_id":{"type":"string","description":"The ID of the selected option"}},"required":["type","question_id","selected_option_id"],"title":"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems2"},"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItemsOneOf3Type":{"type":"string","enum":["MULTISELECTION"],"description":"The type of the question","title":"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItemsOneOf3Type"},"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems3":{"type":"object","properties":{"type":{"$ref":"#/components/schemas/AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItemsOneOf3Type","description":"The type of the question"},"question_id":{"type":"string","description":"The unique identifier of the question"},"selected_option_ids":{"type":"array","items":{"type":"string"},"description":"Array of selected option IDs"}},"required":["type","question_id","selected_option_ids"],"title":"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems3"},"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItemsOneOf4Type":{"type":"string","enum":["DOCUMENTUPLOAD"],"description":"The type of the question","title":"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItemsOneOf4Type"},"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems4":{"type":"object","properties":{"type":{"$ref":"#/components/schemas/AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItemsOneOf4Type","description":"The type of the question"},"question_id":{"type":"string","description":"The unique identifier of the question"},"document_ids":{"type":"array","items":{"type":"string"},"description":"Array of uploaded document IDs"}},"required":["type","question_id","document_ids"],"title":"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems4"},"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItemsOneOf5Type":{"type":"string","enum":["PRESETDROPDOWN"],"description":"The type of the question","title":"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItemsOneOf5Type"},"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems5":{"type":"object","properties":{"type":{"$ref":"#/components/schemas/AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItemsOneOf5Type","description":"The type of the question"},"preset":{"type":"string","description":"The preset used"},"question_id":{"type":"string","description":"The unique identifier of the question"},"selected_options":{"type":"array","items":{"type":"string"},"description":"Array of selected options"}},"required":["type","preset","question_id","selected_options"],"title":"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems5"},"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItemsOneOf6Type":{"type":"string","enum":["CUSTOMDROPDOWN"],"description":"The type of the question","title":"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItemsOneOf6Type"},"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems6":{"type":"object","properties":{"type":{"$ref":"#/components/schemas/AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItemsOneOf6Type","description":"The type of the question"},"question_id":{"type":"string","description":"The unique identifier of the question"},"selected_option_ids":{"type":"array","items":{"type":"string"},"description":"Array of selected option IDs"}},"required":["type","question_id","selected_option_ids"],"title":"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems6"},"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItemsOneOf7Type":{"type":"string","enum":["NUMBER"],"description":"The type of the question","title":"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItemsOneOf7Type"},"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems7":{"type":"object","properties":{"type":{"$ref":"#/components/schemas/AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItemsOneOf7Type","description":"The type of the question"},"value":{"type":"string","description":"The numeric answer value"},"question_id":{"type":"string","description":"The unique identifier of the question"}},"required":["type","value","question_id"],"title":"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems7"},"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItemsOneOf8Type":{"type":"string","enum":["DATEPICKER"],"description":"The type of the question","title":"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItemsOneOf8Type"},"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems8":{"type":"object","properties":{"type":{"$ref":"#/components/schemas/AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItemsOneOf8Type","description":"The type of the question"},"end_date":{"type":"string","description":"The end date selected (for ranges)"},"start_date":{"type":"string","description":"The start date selected"},"question_id":{"type":"string","description":"The unique identifier of the question"}},"required":["type","question_id"],"title":"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems8"},"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItemsOneOf9Type":{"type":"string","enum":["ADDRESS"],"description":"The type of the question","title":"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItemsOneOf9Type"},"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems9":{"type":"object","properties":{"type":{"$ref":"#/components/schemas/AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItemsOneOf9Type","description":"The type of the question"},"question_id":{"type":"string","description":"The unique identifier of the question"},"address_city":{"type":"string","description":"City"},"address_state":{"type":"string","description":"State"},"address_number":{"type":"string","description":"Street number"},"address_street":{"type":"string","description":"Street name"},"address_country":{"type":"string","description":"Country"},"address_zip_code":{"type":"string","description":"ZIP code"}},"required":["type","question_id","address_city","address_state","address_number","address_street","address_country","address_zip_code"],"title":"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems9"},"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItemsOneOf10Type":{"type":"string","enum":["PHONENUMBER"],"description":"The type of the question","title":"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItemsOneOf10Type"},"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems10":{"type":"object","properties":{"type":{"$ref":"#/components/schemas/AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItemsOneOf10Type","description":"The type of the question"},"question_id":{"type":"string","description":"The unique identifier of the question"},"phone_number":{"type":"string","description":"The phone number"}},"required":["type","question_id","phone_number"],"title":"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems10"},"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItemsOneOf11Type":{"type":"string","enum":["EMAIL"],"description":"The type of the question","title":"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItemsOneOf11Type"},"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems11":{"type":"object","properties":{"type":{"$ref":"#/components/schemas/AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItemsOneOf11Type","description":"The type of the question"},"email":{"type":"string","format":"email","description":"The email address"},"question_id":{"type":"string","description":"The unique identifier of the question"}},"required":["type","email","question_id"],"title":"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems11"},"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems":{"oneOf":[{"$ref":"#/components/schemas/AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems0"},{"$ref":"#/components/schemas/AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems1"},{"$ref":"#/components/schemas/AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems2"},{"$ref":"#/components/schemas/AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems3"},{"$ref":"#/components/schemas/AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems4"},{"$ref":"#/components/schemas/AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems5"},{"$ref":"#/components/schemas/AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems6"},{"$ref":"#/components/schemas/AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems7"},{"$ref":"#/components/schemas/AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems8"},{"$ref":"#/components/schemas/AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems9"},{"$ref":"#/components/schemas/AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems10"},{"$ref":"#/components/schemas/AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems11"}],"title":"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems"},"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaData":{"type":"object","properties":{"notes":{"type":["array","null"],"items":{"$ref":"#/components/schemas/AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataNotesItems"},"description":"Array of notes to attach to the application"},"job_id":{"type":"string","format":"uuid","description":"The ID of the job for this application"},"candidate_id":{"type":"string","format":"uuid","description":"The ID of the candidate applying"},"job_posting_id":{"type":["string","null"],"format":"uuid","description":"The ID of the job posting (optional)"},"job_employment_type_id":{"type":"string","format":"uuid","description":"The ID of the employment type for this job"},"application_form_submission_data":{"type":["array","null"],"items":{"$ref":"#/components/schemas/AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems"},"description":"Array of form submission answers"}},"required":["job_id","candidate_id","job_employment_type_id"],"title":"AtsApplicationsPostRequestBodyContentApplicationJsonSchemaData"},"AtsApplicationsPostResponsesContentApplicationJsonSchemaData":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier for the application"},"job_id":{"type":"string","format":"uuid","description":"Unique identifier for the job"},"created_at":{"type":"string","format":"date-time","description":"Timestamp when the application was created"},"numeric_id":{"type":"integer","description":"Numeric identifier for the application"},"updated_at":{"type":"string","format":"date-time","description":"Timestamp when the application was last updated"},"candidate_id":{"type":"string","format":"uuid","description":"Unique identifier for the candidate"},"job_posting_id":{"type":["string","null"],"format":"uuid","description":"Unique identifier for the job posting"},"job_employment_type_id":{"type":["string","null"],"format":"uuid","description":"Unique identifier for the job employment type"},"moved_to_current_stage_at":{"type":["string","null"],"format":"date-time","description":"Timestamp when the application was moved to the current stage"},"current_application_interview_plan_stage_id":{"type":["string","null"],"format":"uuid","description":"Unique identifier for the current application interview plan stage"}},"required":["id","job_id","created_at","numeric_id","updated_at","candidate_id","job_posting_id","job_employment_type_id","moved_to_current_stage_at","current_application_interview_plan_stage_id"],"title":"AtsApplicationsPostResponsesContentApplicationJsonSchemaData"},"ats-applications_createAtsApplication-v2026-01-01_Response_201":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/AtsApplicationsPostResponsesContentApplicationJsonSchemaData"}},"required":["data"],"title":"ats-applications_createAtsApplication-v2026-01-01_Response_201"},"AtsApplicationsPostResponsesContentApplicationJsonSchemaErrorsItems":{"type":"object","properties":{"code":{"type":"string","description":"Machine-readable error code"},"message":{"type":"string","description":"Human-readable explanation of the error"}},"title":"AtsApplicationsPostResponsesContentApplicationJsonSchemaErrorsItems"},"CreateAtsApplication-v2026-01-01RequestBadRequestError":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/AtsApplicationsPostResponsesContentApplicationJsonSchemaErrorsItems"}}},"title":"CreateAtsApplication-v2026-01-01RequestBadRequestError"},"CreateAtsApplication-v2026-01-01RequestInternalServerError":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/AtsApplicationsPostResponsesContentApplicationJsonSchemaErrorsItems"}}},"title":"CreateAtsApplication-v2026-01-01RequestInternalServerError"},"AtsApplicationsGetParametersJobCriteriasMatchingsSchemaItemsIsMatched":{"type":"string","enum":["MATCHED","NOT_MATCHED","UNDECIDED"],"description":"The matching state for the job criteria","title":"AtsApplicationsGetParametersJobCriteriasMatchingsSchemaItemsIsMatched"},"AtsApplicationsGetParametersJobCriteriasMatchingsSchemaItems":{"type":"object","properties":{"is_matched":{"$ref":"#/components/schemas/AtsApplicationsGetParametersJobCriteriasMatchingsSchemaItemsIsMatched","description":"The matching state for the job criteria"},"job_criteria_id":{"type":"string","format":"uuid","description":"The job criteria ID to filter by"}},"required":["is_matched","job_criteria_id"],"title":"AtsApplicationsGetParametersJobCriteriasMatchingsSchemaItems"},"AtsApplicationsGetParametersSortBy":{"type":"string","enum":["APPLICATION_CREATION_DATE","STAGE_CREATION_DATE"],"title":"AtsApplicationsGetParametersSortBy"},"AtsApplicationsGetParametersSortOrder":{"type":"string","enum":["ASC","DESC"],"title":"AtsApplicationsGetParametersSortOrder"},"AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItemsJob":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"Job unique identifier"},"title":{"type":"string","description":"Job title"}},"required":["id","title"],"description":"Job information for the application","title":"AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItemsJob"},"AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItemsCandidateCandidateTagsItemsTag":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"Tag unique identifier"},"label":{"type":"string","description":"Tag label"}},"required":["id","label"],"title":"AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItemsCandidateCandidateTagsItemsTag"},"AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItemsCandidateCandidateTagsItems":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"Candidate tag unique identifier"},"tag":{"$ref":"#/components/schemas/AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItemsCandidateCandidateTagsItemsTag"}},"required":["id","tag"],"title":"AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItemsCandidateCandidateTagsItems"},"AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItemsCandidate":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"Candidate unique identifier"},"email":{"type":"string","format":"email","description":"Candidate email address"},"pic_url":{"type":["string","null"],"description":"Candidate profile picture URL"},"last_name":{"type":"string","description":"Candidate last name"},"first_name":{"type":"string","description":"Candidate first name"},"phone_number":{"type":["string","null"],"description":"Candidate phone number (may be empty string or null)"},"candidate_tags":{"type":"array","items":{"$ref":"#/components/schemas/AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItemsCandidateCandidateTagsItems"},"description":"Tags associated with the candidate"}},"required":["id","email","pic_url","last_name","first_name","phone_number","candidate_tags"],"description":"Candidate information associated with the application","title":"AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItemsCandidate"},"AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItemsJobPosting":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"Job posting unique identifier"},"title":{"type":"string","description":"Job posting title"}},"required":["id","title"],"description":"Job posting information (if application came through a posting)","title":"AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItemsJobPosting"},"AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItemsSourceSlug":{"type":"string","enum":["SOURCED_INTERNALLY","EXTERNAL_CAREER_PAGE","LINKEDIN_PREMIUM","LINKEDIN_BASIC","INTERNAL_CAREER_PAGE","INTERNAL_REFERRAL","BULK_IMPORTED"],"description":"Source of the application","title":"AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItemsSourceSlug"},"AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItemsJobEmploymentTypeEmploymentType":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"Employment type unique identifier"},"name":{"type":"string","description":"Employment type name"}},"required":["id","name"],"title":"AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItemsJobEmploymentTypeEmploymentType"},"AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItemsJobEmploymentType":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"Job employment type unique identifier"},"employment_type":{"$ref":"#/components/schemas/AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItemsJobEmploymentTypeEmploymentType"}},"required":["id","employment_type"],"description":"Employment type information for the job","title":"AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItemsJobEmploymentType"},"AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItemsApplicationFormSubmissionAnswersItemsAnswer":{"oneOf":[{"type":"string"},{"type":"number","format":"double"}],"title":"AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItemsApplicationFormSubmissionAnswersItemsAnswer"},"AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItemsApplicationFormSubmissionAnswersItemsQuestionType":{"type":"string","enum":["FREETEXT","PARAGRAPH","SINGLESELECTION","MULTISELECTION","DOCUMENTUPLOAD","PRESETDROPDOWN","CUSTOMDROPDOWN","NUMBER","DATEPICKER","ADDRESS","PHONENUMBER","EMAIL"],"description":"Type of the question (uppercase)","title":"AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItemsApplicationFormSubmissionAnswersItemsQuestionType"},"AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItemsApplicationFormSubmissionAnswersItems":{"type":"object","properties":{"answer":{"$ref":"#/components/schemas/AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItemsApplicationFormSubmissionAnswersItemsAnswer"},"question_text":{"type":"string","description":"Text of the question"},"question_type":{"$ref":"#/components/schemas/AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItemsApplicationFormSubmissionAnswersItemsQuestionType","description":"Type of the question (uppercase)"},"data_binding_id":{"type":"string","format":"uuid","description":"Data binding identifier for the question"}},"required":["answer","question_text","question_type","data_binding_id"],"description":"Parsed form submission answer","title":"AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItemsApplicationFormSubmissionAnswersItems"},"AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItemsApplicationFormSubmission":{"type":"object","properties":{"id":{"type":["string","null"],"format":"uuid","description":"Identifier of the application form submission"},"answers":{"type":["array","null"],"items":{"$ref":"#/components/schemas/AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItemsApplicationFormSubmissionAnswersItems"},"description":"Array of parsed form submission answers"}},"required":["id","answers"],"description":"Application form submission data with parsed answers","title":"AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItemsApplicationFormSubmission"},"AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItemsApplicationJobCriteriasMatchingsItemsIsMatched":{"type":"string","enum":["MATCHED","NOT_MATCHED","UNDECIDED"],"description":"Whether the criteria is matched","title":"AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItemsApplicationJobCriteriasMatchingsItemsIsMatched"},"AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItemsApplicationJobCriteriasMatchingsItems":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"Job criteria matching unique identifier"},"is_matched":{"$ref":"#/components/schemas/AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItemsApplicationJobCriteriasMatchingsItemsIsMatched","description":"Whether the criteria is matched"},"description":{"type":"string","description":"Job criteria matching description"},"job_criteria_id":{"type":"string","format":"uuid","description":"Job criteria unique identifier"}},"required":["id","is_matched","description","job_criteria_id"],"title":"AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItemsApplicationJobCriteriasMatchingsItems"},"AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItemsCurrentApplicationInterviewPlanStageInterviewPlanStage":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"Interview plan stage unique identifier"},"name":{"type":"string","description":"Interview plan stage name"},"default_type_slug":{"type":["string","null"],"description":"Interview plan stage default type slug"},"category_type_slug":{"type":"string","description":"Interview plan stage category type"}},"required":["id","name","default_type_slug","category_type_slug"],"title":"AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItemsCurrentApplicationInterviewPlanStageInterviewPlanStage"},"AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItemsCurrentApplicationInterviewPlanStage":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"Application interview plan stage unique identifier"},"application_id":{"type":"string","format":"uuid","description":"Application unique identifier"},"interview_plan_stage":{"$ref":"#/components/schemas/AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItemsCurrentApplicationInterviewPlanStageInterviewPlanStage"},"interview_plan_stage_id":{"type":"string","format":"uuid","description":"Interview plan stage unique identifier"}},"required":["id","application_id","interview_plan_stage","interview_plan_stage_id"],"description":"Current interview plan stage information for the application","title":"AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItemsCurrentApplicationInterviewPlanStage"},"AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItems":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"Application unique identifier"},"job":{"$ref":"#/components/schemas/AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItemsJob","description":"Job information for the application"},"candidate":{"$ref":"#/components/schemas/AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItemsCandidate","description":"Candidate information associated with the application"},"created_at":{"type":"string","format":"date-time","description":"Timestamp of when the application was created"},"numeric_id":{"type":"integer","description":"Application numeric identifier"},"job_posting":{"oneOf":[{"$ref":"#/components/schemas/AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItemsJobPosting"},{"type":"null"}],"description":"Job posting information (if application came through a posting)"},"source_slug":{"oneOf":[{"$ref":"#/components/schemas/AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItemsSourceSlug"},{"type":"null"}],"description":"Source of the application"},"job_employment_type":{"$ref":"#/components/schemas/AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItemsJobEmploymentType","description":"Employment type information for the job"},"moved_to_current_stage_at":{"type":"string","format":"date-time","description":"Timestamp of when the application moved to current stage"},"application_form_submission":{"oneOf":[{"$ref":"#/components/schemas/AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItemsApplicationFormSubmission"},{"type":"null"}],"description":"Application form submission data with parsed answers"},"application_job_criterias_matchings":{"type":"array","items":{"$ref":"#/components/schemas/AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItemsApplicationJobCriteriasMatchingsItems"},"description":"AI-generated job criteria matching results for the application"},"created_by_hris_organization_user_id":{"type":["string","null"],"format":"uuid","description":"User who created the application"},"current_application_interview_plan_stage":{"$ref":"#/components/schemas/AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItemsCurrentApplicationInterviewPlanStage","description":"Current interview plan stage information for the application"},"current_application_interview_plan_stage_id":{"type":["string","null"],"format":"uuid","description":"Current interview plan stage unique identifier"},"application_form_form_builder_form_submission_id":{"type":["string","null"],"format":"uuid","description":"Application form submission unique identifier"}},"required":["id","created_at","numeric_id","moved_to_current_stage_at"],"title":"AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItems"},"ats-applications_retrieveAListOfAtsApplications-v2026-01-01_Response_200":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/AtsApplicationsGetResponsesContentApplicationJsonSchemaDataItems"}},"has_more":{"type":"boolean","description":"Indicates if there are more applications to fetch"},"next_cursor":{"type":["string","null"],"description":"Cursor for the next page of results"},"total_count":{"type":"integer","description":"Total number of applications available"}},"required":["data","has_more","next_cursor","total_count"],"title":"ats-applications_retrieveAListOfAtsApplications-v2026-01-01_Response_200"},"AtsApplicationsGetResponsesContentApplicationJsonSchemaErrorsItems":{"type":"object","properties":{"code":{"type":"string","description":"Machine-readable error code"},"message":{"type":"string","description":"Human-readable explanation of the error"}},"title":"AtsApplicationsGetResponsesContentApplicationJsonSchemaErrorsItems"},"RetrieveAListOfAtsApplications-v2026-01-01RequestBadRequestError":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/AtsApplicationsGetResponsesContentApplicationJsonSchemaErrorsItems"}}},"title":"RetrieveAListOfAtsApplications-v2026-01-01RequestBadRequestError"},"RetrieveAListOfAtsApplications-v2026-01-01RequestInternalServerError":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/AtsApplicationsGetResponsesContentApplicationJsonSchemaErrorsItems"}}},"title":"RetrieveAListOfAtsApplications-v2026-01-01RequestInternalServerError"},"AtsApplicationsApplicationIdGetResponsesContentApplicationJsonSchemaDataJob":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier for the job"},"title":{"type":"string","description":"Title of the job"}},"required":["id","title"],"description":"Job details","title":"AtsApplicationsApplicationIdGetResponsesContentApplicationJsonSchemaDataJob"},"AtsApplicationsApplicationIdGetResponsesContentApplicationJsonSchemaDataNotesItems":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier for the note"},"created_at":{"type":"string","format":"date-time","description":"Timestamp when the note was created"},"created_by":{"type":"string","format":"uuid","description":"Unique identifier for the user who created the note"},"updated_at":{"type":"string","format":"date-time","description":"Timestamp when the note was last updated"},"richtext_content":{"type":"string","description":"Rich text content of the note"}},"required":["id","created_at","created_by","updated_at","richtext_con
[...]
